:root {
    --black: #010409;
    --white: #d9dee3;
    --red: #ff9492;
    --green: #26cd4d;
    --blue: #71b7ff;
}

@font-face {
    font-family: 'vector';
    src: url('vector.ttf') format('truetype');
}

::selection {
    background: white;
    color: var(--black);
}

img {
    -webkit-user-drag: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-user-drag: none;
    user-drag: none;
    -webkit-touch-callout: none;
    pointer-events: none;
}

a {
    color: var(--blue);
    text-decoration: none;
    -webkit-user-drag: none;
}

a:hover {
    text-decoration: underline;
    background: var(--blue);
    color : var(--white);
    cursor: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='10'%3E%3Ccircle cx='3' cy='3' r='3' shape-rendering='crispEdges' fill='blue'/%3E%3C/svg%3E") 3 3, auto;;
}

p {
    color: var(--white);
    font-size: 1em;
    margin: 3px 5px;
    font-family: 'vector';
}

html,
body {
    padding: 0;
    margin: 0;
    font-size: 1em;
    line-height: 1.2;
    font-family: monospace;
    cursor: none;
    display: flex;
    flex-direction: column;
    height: 100dvh;
    overflow: hidden;
}

main {
    height: 100dvh;
    border: 1px solid var(--white);
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'vector';
}

section {
    border: 1px solid var(--red);
    background: var(--black);
    width: 500px;
    margin-top: 40px;
    cursor: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='10'%3E%3Ccircle cx='3' cy='3' r='3' shape-rendering='crispEdges' fill='white'/%3E%3C/svg%3E") 3 3, auto;
}

.slide, .slide1, .slide2 {
    transition: translate 0.3s ease 1s;
    will-change: translate;
}

.slide:hover {
    transition-delay: 0s;
    translate: -259px 0px;
}

.slide1:hover {
    transition-delay: 0s;
    translate: -199px 0px;
}

.slide2:hover {
    transition-delay: 0s;
    translate: -107px 0px;
}
.subtitle {
    background: var(--red);
    color: var(--black);
    padding-left: 2px;
}

.text {
    padding: 0 0px; 
    display: flex;
    flex-direction: column;
}

.cursor {
    height: 100dvh;
    background: var(--black);
    z-index: -1;
    font-family: 'vector';
    position: absolute;
    margin: 0;
    padding: 0;
    left: 0;
    top: 0;
    width: 100dvw;
    font-family: inherit;
    color: var(--white);
    pointer-events: none;
}

.invert {
    filter: invert(1) hue-rotate(180deg);
}

.invert section {
    cursor: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='10'%3E%3Ccircle cx='3' cy='3' r='3' shape-rendering='crispEdges' fill='black'/%3E%3C/svg%3E") 3 3, auto;
}

.invert img, .invert video {
    filter: invert(1) hue-rotate(180deg);
}

button {
    background: none;
    cursor: none;
    border: none;
}

@media (max-width: 1000px) {
    section {
        width: 70vw;
    } 
    
    .cursor, html, body, main {
      height: 120dvh;
    }
}








